E-MailRelay

Classes | Namespaces | Functions
gmessagestore.h File Reference
`#include "gdef.h"`
`#include "gexception.h"`
`#include "gslot.h"`
`#include "gstringarray.h"`
`#include "gpath.h"`
`#include <memory>`
Include dependency graph for gmessagestore.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GStore::MessageId
| A somewhat opaque identifer for a GStore::MessageStore message id. More...
class | GStore::MessageStore
| A class which allows SMTP messages to be stored and retrieved. More...
struct | GStore::MessageStore::SmtpInfo
| Information on the SMTP options used when submitted. More...
struct | GStore::MessageStore::Iterator
| A base class for GStore::MessageStore iterators. More...

## Namespaces
namespace | GStore
| Message store classes.

## Functions
std::unique_ptr< StoredMessage > | GStore::operator++ (std::shared_ptr< MessageStore::Iterator > &iter)